Subject: Re: [patch 08/18] PS3: Kexec support

From: Geoff Levand <[email-masked]>
Date: Wed, 06 Jun 2007 18:33:05 -0700

Stephen Rothwell wrote:
> Hi Geoff,
> 
> On Wed, 06 Jun 2007 14:55:00 -0700 Geoff Levand <[email-masked]> wrote:
>>
>> Michael Ellerman wrote:
>> > On Tue, 2007-06-05 at 20:00 -0700, Geoff Levand wrote:
>> >> Fixup the core platform parts needed for kexec to work on the PS3.
>> >>  - Setup ps3_hpte_clear correctly.
>> >>  - Mask interrupts on irq removal.
>> >>  - Release all hypervisor resources.
>> > 
>> > The irq changes might be kexec related, but it's a mess to review. You
>> > seem to moving a bunch of code around in the patch as well.
>> 
>> Yes, I need to move the static chip_mask routines up so they would be
>> defined before the irq setup/destroy routines.
> 
> I think Michael's point then is that if you submitted a separate
> preceding patch that just moves stuff around without any other changes
> (if at all possible) then reviewing the changes in this would be much
> easier (and our confidence would be higher).

Yes, sorry, I understood.  I've already split it up for the next round.

-Geoff